//+------------------------------------------------------------------+
//|                                                     Milllion.mq4 |
//|                                                         Mr. Gold |
//|                                         anna.furmanova@yandex.ru |
//+------------------------------------------------------------------+
#property copyright "Mr. Gold"
#property link      "anna.furmanova@yandex.ru"
#property version   "1.00"
#property strict

#define magic 1

extern double Lot                 = 0.01;
extern int Magic                  = 1;

extern string WoodiesCCI2         = "=====  WoodiesCCI2 =====";
extern int A_period               = 14;
extern int B_period               = 6;
extern int num_bars               = 550;
extern int cci_levelU             = 220;
extern int cci_levelD             = -220;

static int prevtime=0;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {   
   double Wood_0=iCustom(Symbol(),0,"WoodiesCCI2",A_period,B_period,num_bars,0,1);
   double Wood_1=iCustom(Symbol(),0,"WoodiesCCI2",A_period,B_period,num_bars,1,1);
   double Wood_2=iCustom(Symbol(),0,"WoodiesCCI2",A_period,B_period,num_bars,2,1);

   int tiket,cnt,total=OrdersTotal();

   if(Time[0]==prevtime)
      return(0);
   prevtime=Time[0];

   if(OrdersTotal()<1)
     {
      if(Wood_1>cci_levelU)
        {
         tiket=OrderSend(Symbol(),OP_BUY,Lot,Ask,10,0,0,"",Magic,0,clrGreen);
         if(tiket>0)
           {
            if(OrderSelect(tiket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
           }
         else
           {
            Print("Error opening BUY order : ",GetLastError());
            return(0);
           }
        }
      else if(Wood_1>cci_levelD)
        {
         tiket=OrderSend(Symbol(),OP_SELL,Lot,Bid,10,0,0,"",Magic,0,clrRed);
         if(tiket>0)
           {
            if(OrderSelect(tiket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
           }
         else
           {
            Print("Error opening SELL order : ",GetLastError());
            return(0);
           }
        }
     }
   for(cnt=0;cnt<total;cnt++)
     {
      OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
      if(OrderType()<=OP_SELL && OrderSymbol()==Symbol())
        {
         if(OrderType()==OP_BUY)
           {
            if(Wood_2>Wood_1)
              {
               OrderClose(OrderTicket(),OrderLots(),Bid,10,Violet);
               return(0);
              }
           }
         else
           {
            if(Wood_2<Wood_1)
              {
               OrderClose(OrderTicket(),OrderLots(),Ask,10,Violet);
               return(0);
              }
           }
        }
     }
   return(0);
  }
//+------------------------------------------------------------------+
void ShowERROR(int Ticket,double SL,double TP)
  {
   int err=GetLastError();
   switch(err)
     {
      case    0: Print("0   ",         Ticket," ",Symbol());return;
      case    1: Print("1   . ",   Ticket," ",Symbol());return;
      case    2: Print("2  ",                    Ticket," ",Symbol());return;
      case    3: Print("3   . ",   Ticket," ",Symbol());return;
      case    4: Print("4   ",           Ticket," ",Symbol());return;
      case    5: Print("5   ",         Ticket," ",Symbol());return;
      case    6: Print("6     ",   Ticket," ",Symbol());return;
      case    7: Print("7  ",               Ticket," ",Symbol());return;
      case    8: Print("8   ",          Ticket," ",Symbol());return;
      case    9: Print("9  ",           Ticket," ",Symbol());return;
      case   64: Print("64  ",              Ticket," ",Symbol());return;
      case   65: Print("65   ",       Ticket," ",Symbol());return;
      case  128: Print("128  ..",    Ticket," ",Symbol());return;
      case  129: Print("129 , .",   Ticket," ",Symbol());return;
      case  130: Print("130   ",         Ticket," ",Symbol());return;
      case  131: Print("131    ",    Ticket," ",Symbol());return;
      case  132: Print("132  ",                  Ticket," ",Symbol());return;
      case  133: Print("133  ",            Ticket," ",Symbol());return;
      case  134: Print("134    ",       Ticket," ",Symbol());return;
      case  135: Print("135   ",         Ticket," ",Symbol());return;
      case  136: Print("136   ",     Ticket," ",Symbol());return;
      case  137: Print("137   ",        Ticket," ",Symbol());return;
      case  138: Print("138   ",     Ticket," ",Symbol());return;
      case  139: Print("139   ",      Ticket," ",Symbol());return;
      case  140: Print("140   ",      Ticket," ",Symbol());return;
      case  141: Print("141   ",        Ticket," ",Symbol());return;
      case  142: Print("142    ",     Ticket," ",Symbol());return;
      case  143: Print("143    ",     Ticket," ",Symbol());return;
      case  144: Print("144   ",    Ticket," ",Symbol());return;
      case  145: Print("145  ",         Ticket," ",Symbol());return;
      case  146: Print("146   ",    Ticket," ",Symbol());return;
      case  147: Print("147   ",      Ticket," ",Symbol());return;
      case  148: Print("148 . .  .",    Ticket," ",Symbol());return;
      case  149: Print("149  ",        Ticket," ",Symbol());return;
      //+------------------------------------------------------------------+ 
      case 4000: Print("0  ,  .",   Ticket," ",Symbol());return;
      case 4001: Print("4001  . -",   Ticket," ",Symbol());return;
      case 4002: Print("4002  .  ",   Ticket," ",Symbol());return;
      case 4003: Print("4003     -",    Ticket," ",Symbol());return;
      case 4004: Print("4004    .",   Ticket," ",Symbol());return;
      case 4005: Print("4005  .  . .",   Ticket," ",Symbol());return;
      case 4006: Print("4006  .  . .",   Ticket," ",Symbol());return;
      case 4007: Print("4007  .  .",   Ticket," ",Symbol());return;
      case 4008: Print("4008 . ",        Ticket," ",Symbol());return;
      case 4009: Print("4009 ..  .",   Ticket," ",Symbol());return;
      case 4010: Print("4010    ..",   Ticket," ",Symbol());return;
      case 4011: Print("4011   ",       Ticket," ",Symbol());return;
      case 4012: Print("4012     ",   Ticket," ",Symbol());return;
      case 4013: Print("4013   ",              Ticket," ",Symbol());return;
      case 4014: Print("4014  ",          Ticket," ",Symbol());return;
      case 4015: Print("4015  ",         Ticket," ",Symbol());return;
      case 4016: Print("4016  .",   Ticket," ",Symbol());return;
      case 4017: Print("4017  DLL  ",      Ticket," ",Symbol());return;
      case 4018: Print("4018  .",   Ticket," ",Symbol());return;
      case 4019: Print("4019   ",   Ticket," ",Symbol());return;
      case 4020: Print("4020  .- .",   Ticket," ",Symbol());return;
      case 4021: Print("4021    ",       Ticket," ",Symbol());return;
      case 4022: Print("4022  ",               Ticket," ",Symbol());return;
      case 4050: Print("4050  . . -",   Ticket," ",Symbol());return;
      case 4051: Print("4051  ..-",    Ticket," ",Symbol());return;
      case 4052: Print("4052 .  . -",   Ticket," ",Symbol());return;
      case 4053: Print("4053  ",               Ticket," ",Symbol());return;
      case 4054: Print("4054 ...-",   Ticket," ",Symbol());return;
      case 4055: Print("4055  . ",     Ticket," ",Symbol());return;
      case 4056: Print("4056  ",         Ticket," ",Symbol());return;
      case 4057: Print("4057  ...",   Ticket," ",Symbol());return;
      case 4058: Print("4058 . .  .",   Ticket," ",Symbol());return;
      case 4059: Print("4059 - .  . .",   Ticket," ",Symbol());return;
      case 4060: Print("4060   ",         Ticket," ",Symbol());return;
      case 4061: Print("4061   ",        Ticket," ",Symbol());return;
      case 4062: Print("4062 - .  string",   Ticket," ",Symbol());return;
      case 4063: Print("4063 . .  integer",    Ticket," ",Symbol());return;
      case 4064: Print("4064 . .  double",     Ticket," ",Symbol());return;
      case 4065: Print("4065  . . . ",   Ticket," ",Symbol());return;
      case 4066: Print("4066   . ",    Ticket," ",Symbol());return;
      case 4067: Print("4067   ",     Ticket," ",Symbol());return;
      case 4099: Print("4099  ",                  Ticket," ",Symbol());return;
      case 4100: Print("4100     ",   Ticket," ",Symbol());return;
      case 4101: Print("4101   ",       Ticket," ",Symbol());return;
      case 4102: Print("4102   . ",   Ticket," ",Symbol());return;
      case 4103: Print("4103   ",      Ticket," ",Symbol());return;
      case 4104: Print("4104 ...  ",   Ticket," ",Symbol());return;
      case 4105: Print("4105     ",      Ticket," ",Symbol());return;
      case 4106: Print("4106  ",           Ticket," ",Symbol());return;
      case 4107: Print("4107   ",    Ticket," ",Symbol());return;
      case 4108: Print("4108   ",        Ticket," ",Symbol());return;
      case 4109: Print("4109   ",   Ticket," ",Symbol());return;
      case 4110: Print("4110   ",    Ticket," ",Symbol());return;
      case 4111: Print("4111   ",   Ticket," ",Symbol());return;
      case 4200: Print("4200   ",        Ticket," ",Symbol());return;
      case 4201: Print("4201 .  ",      Ticket," ",Symbol());return;
      case 4202: Print("4202   ",         Ticket," ",Symbol());return;
      case 4203: Print("4203   ",      Ticket," ",Symbol());return;
      case 4204: Print("4204   ",            Ticket," ",Symbol());return;
      case 4205: Print("4205   ",     Ticket," ",Symbol());return;
      case 4206: Print("4206    ",    Ticket," ",Symbol());return;
      case 4207: Print("4207    ",     Ticket," ",Symbol());return;
      default:   Print("  " ,err,"   Ticket ",        Ticket," ",Symbol());return;
     }
  }
//+------------------------------------------------------------------+
